Subject: Re: Call for adoption: qlog documents (main schema, QUIC events, HTTP/3 & QPACK events)

From: Lucas Pardue <[email-masked]>
Date: Tue, 1 Jun 2021 15:15:28 +0100

Hello All,

Thank you for the responses to the call for adoption of
draft-marx-qlog-main-schema, draft-marx-quic-qlog-quic-events, and
draft-marx-quic-qlog-h3-events.

Based on the show of support, we'll be adopting these as working group
items. We'll follow the usual GitHub style of work, a follow up email will
provide an update once the  repository has been migrated into the QUIC WG
organisation.

Cheers,
Lucas
On behalf of QUIC WG Chairs.

On Tue, May 18, 2021 at 6:11 PM Rui Paulo <[email-masked]> wrote:

> I support adoption.
>
> On May 17, 2021, at 14:42, Lucas Pardue <[email-masked]>
> wrote:
>
> Greetings QUIC WG members,
>
> As some of you may be aware, qlog is a proposal for a standardized
> endpoint logging schema, along with specialized protocol event definitions
> for QUIC, HTTP/3 and QPACK.
>
> Qlog was most recently solicited to the IETF community during IETF 110.
> Based on the existing implementer support, feedback from the community, and
> after discussion with our ADs, the QUIC chairs believe the qlog work is
> most suited for adoption in the QUIC WG. This email is an adoption call for
> three drafts:
>
>    - draft-marx-qlog-main-schema-03 [1]
>    - draft-marx-quic-qlog-quic-events-00 [2], and
>    - draft-marx-quic-qlog-h3-events-00 [3]
>
> The adoption call will run for 2 weeks, ending on May 31 2021. Please
> reply to this email with any comments.
>
> In order to prepare for this adoption call we asked Robin to make some
> structural changes to improve document modularity. The single document
> defining both QUIC and HTTP/3 & QPACK definitions
> (draft-marx-qlog-event-definitions-quic-h3-02 [4]) has been split into two
> - draft-marx-quic-qlog-quic-events-00 [2] and
> draft-marx-quic-qlog-h3-events-00 [3]. The main schema document has been
> updated to support the split, and has been made more generic; see
> draft-marx-qlog-main-schema-03 [1]. Detailed changes are available in each
> document's changelog appendix or
> https://github.com/quiclog/internet-drafts/issues/137. As the scope and
> scale of qlog work evolves, two new document editors have been brought in
> to help out - Marten Seemann and Luca Niccolini.
>
> Finally, please note that due to some datatracker issues beyond our
> control, some of the cross-references between the newest drafts might be
> broken. This will be fixed up in later incarnations but in the meantime
> your patience is appreciated.
>
> Kind Regards
> Lucas
> On behalf of QUIC WG Chairs
>
> [1] https://datatracker.ietf.org/doc/draft-marx-qlog-main-schema/03/
> [2] https://datatracker.ietf.org/doc/draft-marx-quic-qlog-quic-events/00/
> [3] https://datatracker.ietf.org/doc/draft-marx-quic-qlog-h3-events/00/
> [4]
> https://datatracker.ietf.org/doc/draft-marx-qlog-event-definitions-quic-h3/02/
>
>
>
>
> —
> Rui Paulo
>
>